public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pypy/files/, dev-python/pypy/
Date: Sat, 16 Feb 2019 15:08:36 +0000 (UTC)	[thread overview]
Message-ID: <1550329701.4c0261d9ad80c7ffbb7c3cd82b06cbed86f5eb33.mgorny@gentoo> (raw)

commit:     4c0261d9ad80c7ffbb7c3cd82b06cbed86f5eb33
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 16 14:33:31 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Feb 16 15:08:21 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4c0261d9

dev-python/pypy: Restore Gentoo path patch

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pypy/files/7.0.0-gentoo-path.patch      | 52 ++++++++++++++++++++++
 .../{pypy-7.0.0.ebuild => pypy-7.0.0-r1.ebuild}    |  4 ++
 dev-python/pypy/pypy-9999.ebuild                   |  4 ++
 3 files changed, 60 insertions(+)

diff --git a/dev-python/pypy/files/7.0.0-gentoo-path.patch b/dev-python/pypy/files/7.0.0-gentoo-path.patch
new file mode 100644
index 00000000000..9be52cd0b75
--- /dev/null
+++ b/dev-python/pypy/files/7.0.0-gentoo-path.patch
@@ -0,0 +1,52 @@
+From 959e2aafbe6cabd4e6860f842bce9b8644f627ca Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Fri, 27 Nov 2015 17:02:42 +0100
+Subject: [PATCH] Gentoo: override paths for system-wide install based on
+ sys.prefix
+
+Override all default distutils install paths to ones suitable for
+system-wide install when sys.prefix indicates we're running the Gentoo
+system-wide install of PyPy with no prefix overrides (e.g. virtualenv).
+
+Fixes: https://bugs.gentoo.org/462306
+Fixes: https://bugs.gentoo.org/465546
+
+[updated for 7.0.0]
+---
+ lib-python/2.7/distutils/command/install.py | 13 ++++++++++++-
+ 1 file changed, 12 insertions(+), 1 deletion(-)
+
+diff --git a/lib-python/2.7/distutils/command/install.py b/lib-python/2.7/distutils/command/install.py
+index fc43951da0..c2564188cb 100644
+--- a/lib-python/2.7/distutils/command/install.py
++++ b/lib-python/2.7/distutils/command/install.py
+@@ -90,6 +90,13 @@ INSTALL_SCHEMES = {
+         'scripts': '$base/bin',
+         'data'   : '$base',
+         },
++    'gentoo': {
++        'purelib': '$base/site-packages',
++        'platlib': '$base/site-packages',
++        'headers': '$base/include',
++        'scripts': '@EPREFIX@/usr/bin',
++        'data'   : '@EPREFIX@/usr',
++        },
+     }
+ 
+ # The keys to an installation scheme; if any new types of files are to be
+@@ -476,7 +483,11 @@ class install (Command):
+         # it's the caller's problem if they supply a bad name!
+         if (hasattr(sys, 'pypy_version_info') and
+             not name.endswith(('_user', '_home'))):
+-            name = 'pypy'
++            if self.install_base == os.path.normpath('@EPREFIX@/usr/lib/pypy2.7'):
++                # override paths for system-wide install
++                name = 'gentoo'
++            else:
++                name = 'pypy'
+         scheme = INSTALL_SCHEMES[name]
+         for key in SCHEME_KEYS:
+             attrname = 'install_' + key
+-- 
+2.21.0.rc1
+

diff --git a/dev-python/pypy/pypy-7.0.0.ebuild b/dev-python/pypy/pypy-7.0.0-r1.ebuild
similarity index 98%
rename from dev-python/pypy/pypy-7.0.0.ebuild
rename to dev-python/pypy/pypy-7.0.0-r1.ebuild
index b3575616959..7a956b9f4a0 100644
--- a/dev-python/pypy/pypy-7.0.0.ebuild
+++ b/dev-python/pypy/pypy-7.0.0-r1.ebuild
@@ -99,9 +99,13 @@ pkg_setup() {
 }
 
 src_prepare() {
+	eapply "${FILESDIR}/7.0.0-gentoo-path.patch"
 	eapply "${FILESDIR}/1.9-distutils.unixccompiler.UnixCCompiler.runtime_library_dir_option.patch"
 	eapply "${FILESDIR}"/5.9.0-shared-lib.patch	# 517002
 
+	sed -e "s^@EPREFIX@^${EPREFIX}^" \
+		-i lib-python/2.7/distutils/command/install.py || die
+
 	# apply CPython stdlib patches
 	pushd lib-python/2.7 > /dev/null || die
 	# TODO: cpy turkish locale patch now fixes C code

diff --git a/dev-python/pypy/pypy-9999.ebuild b/dev-python/pypy/pypy-9999.ebuild
index 762e9c5e7e9..708273fc4d5 100644
--- a/dev-python/pypy/pypy-9999.ebuild
+++ b/dev-python/pypy/pypy-9999.ebuild
@@ -105,9 +105,13 @@ src_unpack() {
 }
 
 src_prepare() {
+	eapply "${FILESDIR}/7.0.0-gentoo-path.patch"
 	eapply "${FILESDIR}/1.9-distutils.unixccompiler.UnixCCompiler.runtime_library_dir_option.patch"
 	eapply "${FILESDIR}"/5.9.0-shared-lib.patch	# 517002
 
+	sed -e "s^@EPREFIX@^${EPREFIX}^" \
+		-i lib-python/2.7/distutils/command/install.py || die
+
 	# apply CPython stdlib patches
 	pushd lib-python/2.7 > /dev/null || die
 	# TODO: cpy turkish locale patch now fixes C code


             reply	other threads:[~2019-02-16 15:08 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-02-16 15:08 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-03-05 21:06 [gentoo-commits] repo/gentoo:master commit in: dev-python/pypy/files/, dev-python/pypy/ Michał Górny
2021-01-09 21:59 Michał Górny
2020-11-13  9:02 Michał Górny
2020-09-17 16:56 Michał Górny
2020-08-02  9:35 Michał Górny
2020-06-30 18:50 Michał Górny
2020-04-11  7:49 Michał Górny
2017-10-15  9:38 Michał Górny
2017-10-09 18:58 Michał Górny
2017-04-25 21:49 Michał Górny
2017-04-25 21:49 Michał Górny
2017-04-25 21:49 Michał Górny
2016-12-09 18:10 Michał Górny
2015-11-27 19:49 Michał Górny
2015-11-27 16:11 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1550329701.4c0261d9ad80c7ffbb7c3cd82b06cbed86f5eb33.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox